package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * CpuUsage
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class CpuUsage   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("cpuUtil")
  private Integer cpuUtil;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  @JsonProperty("type")
  private String type;

  public CpuUsage name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Device name
   * @return name
  */
  @ApiModelProperty(value = "Device name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public CpuUsage mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Device MAC
   * @return mac
  */
  @ApiModelProperty(value = "Device MAC")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public CpuUsage cpuUtil(Integer cpuUtil) {
    this.cpuUtil = cpuUtil;
    return this;
  }

  /**
   * Device CPU utilization
   * @return cpuUtil
  */
  @ApiModelProperty(value = "Device CPU utilization")


  public Integer getCpuUtil() {
    return cpuUtil;
  }

  public void setCpuUtil(Integer cpuUtil) {
    this.cpuUtil = cpuUtil;
  }

  public CpuUsage model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Device model
   * @return model
  */
  @ApiModelProperty(value = "Device model")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public CpuUsage modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * Device model version
   * @return modelVersion
  */
  @ApiModelProperty(value = "Device model version")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }

  public CpuUsage type(String type) {
    this.type = type;
    return this;
  }

  /**
   * Device type
   * @return type
  */
  @ApiModelProperty(value = "Device type")


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CpuUsage cpuUsage = (CpuUsage) o;
    return Objects.equals(this.name, cpuUsage.name) &&
        Objects.equals(this.mac, cpuUsage.mac) &&
        Objects.equals(this.cpuUtil, cpuUsage.cpuUtil) &&
        Objects.equals(this.model, cpuUsage.model) &&
        Objects.equals(this.modelVersion, cpuUsage.modelVersion) &&
        Objects.equals(this.type, cpuUsage.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, mac, cpuUtil, model, modelVersion, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CpuUsage {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    cpuUtil: ").append(toIndentedString(cpuUtil)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

